# cpr_job.cpp File Reference

`#include <boost/assign/list_inserter.hpp>`
`#include <boost/assign/std/vector.hpp>`
`#include <saga/saga/cpr.hpp>`
`#include <saga/impl/cpr.hpp>`
`#include <saga/saga/detail/call.hpp>`
`#include <saga/saga/detail/attribute_impl.hpp>`
`#include <saga/saga/detail/permissions_impl.hpp>`

## Namespaces
namespace | saga
namespace | saga::cpr
namespace | saga::cpr::metrics
## Defines
#define | SAGA_NO_IMPORT_ATTRIBUTE
#define | SAGA_EXPORT_ATTRIBUTE SAGA_CPR_PACKAGE_EXPORT
#define | SAGA_NO_IMPORT_PERMISSIONS
#define | SAGA_EXPORT_PERMISSIONS SAGA_CPR_PACKAGE_EXPORT

## Define Documentation

#define SAGA_NO_IMPORT_ATTRIBUTE

#define SAGA_EXPORT_ATTRIBUTE SAGA_CPR_PACKAGE_EXPORT

#define SAGA_NO_IMPORT_PERMISSIONS

#define SAGA_EXPORT_PERMISSIONS SAGA_CPR_PACKAGE_EXPORT